<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright Patricia Muller and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Theme Name: Connections
# Theme URI: http://wpthemes.info
# Version: 1.0
# Description: A Theme from wpthemes.Info
# Author: Patricia Muller
# Author URI: http://www.vanillamist.com/blog/
# DotClear adaptation: Franck Paul (http://franck.paul.free.fr)
# ***** END LICENSE BLOCK *****
?>

<div class="post">
	<p class="post-date"><?php dcPostDate('%a %e %b %Y'); ?></p>
	<div class="post-info">
		<h2 class="post-title" id="p<?php dcPostID(); ?>"><a
		href="<?php dcPostURL(); ?>"><?php dcPostTitle(); ?></a></h2>
		Par <?php dcPostAuthor(); ?> in <a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a>
<!-- Billet suivant et precedent -->
		<br /><small><?php dcPostNext(-1,'<a href="%3$s" title="Billet pr&eacute;c&eacute;dent : %2$s">&larr;&nbsp;%2$s</a>'); ?>
		<span>|</span> <?php dcPostNext(1,'<a href="%3$s" title="Billet suivant : %2$s">%2$s&nbsp;&rarr;</a>'); ?></small>
<!-- Permalien et fil rss des commentaires
		<br /><a href="<?php dcPostURL(); ?>"
		title="Lien permanent vers : <?php dcPostTitle(); ?>">#<?php dcPostID(); ?></a>
		<span>|</span> <a href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
		title="fil RSS des commentaires de : <?php dcPostTitle(); ?>">rss</a>
-->
	</div>

	<div class="post-content">
		<?php dcPostChapo('%s'); ?>
		<?php dcPostContent(); ?>
		<div class="post-footer">&nbsp;</div>
	</div>

	<?php if (!($comments->isEmpty())) : ?>
		<h3 id="comments"><?php printf($comments->nbRow()); ?> commentaire<?php printf($comments->nbRow() > 1 ? 's' : ''); ?> &agrave; <?php dcPostTitle(); ?></h3>
		<ol class="commentlist">
		<?php while ($comments->fetch()) : /* Boucle de commentaires */ ?>
			<li class="alt" id="c<?php dcCommentID(); ?>">
				<cite><?php dcCommentAuthor(); ?></cite> a dit :<br />
				<small class="commentmetadata"><a href="#c<?php dcCommentID(); ?>">
				Le <?php dcCommentDate(); ?> &agrave; <?php dcCommentTime(); ?></a></small>
				<?php dcCommentContent(); ?>
			</li>
		<?php endwhile; ?>
		</ol>
	<?php endif; ?>
		
	<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
		<h3 id="respond">Ajouter un commentaire</h3>
		<?php include dirname(__FILE__).'/form.php'; ?>
	<?php endif; ?>

	<?php if (!($trackbacks->isEmpty())) : ?>
		<h3 id="trackbacks">On en parle ailleurs</h3>
		<ol class="commentlist">
		<?php while ($trackbacks->fetch()) : /* Liste des trackbacks */ ?>
			<li class="alt" id="c<?php dcTBID(); ?>">
				<cite><?php dcTBAuthor(); ?></cite> en a parl&eacute; :<br />
				<small class="commentmetadata"><a href="#c<?php dcTBID(); ?>">
				Le <?php dcTBDate(); ?> &agrave; <?php dcTBTime(); ?></a></small>
				<?php dcTBContent(); ?>
			</li>
		<?php endwhile; ?>
		</ol>
	<?php endif; ?>
	
	<?php /*Le lien pour ajouter un trackback si ceux-ci sont autorises*/ ?>
	<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
		<h3 id="trackback">Pour faire un r&eacute;trolien sur ce billet&nbsp;:</h3>
		<p id="tburl"><?php echo dcPostTrackBackURI(); ?></p>
	<?php endif; ?>
	
</div> <!-- fin .post -->
