<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright Patricia Muller and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Theme Name: Connections
# Theme URI: http://wpthemes.info
# Version: 1.0
# Description: A Theme from wpthemes.Info
# Author: Patricia Muller
# Author URI: http://www.vanillamist.com/blog/
# DotClear adaptation: Franck Paul (http://franck.paul.free.fr)
# ***** END LICENSE BLOCK *****
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta http-equiv="Content-Language" content="<?php dcInfo('lang'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>
</head>

<body>

<div id="page">

<div id="top">
	<ul id="topnav">
		<li><a href="#main">Aller au contenu</a></li>
		<li> | <a href="#sidebar">Aller au menu</a></li>
		<li> | <a href="#search">Aller &agrave; la recherche</a></li>
	</ul>

	<h1><a href="<?php dcInfo('url'); ?>" title="Accueil" accesskey="1"><?php dcInfo(); ?></a></h1>
<!-- decommenter la ligne suivante pour afficher la description du blog
	<div id="desc"><?php echo dc_blog_desc; ?></div>
-->

</div>

<div id="main">
	<div id="content">
	<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
		<div class="error"><strong>Erreur : </strong>
		<?php echo $err_msg; ?></div>

	<?php elseif ($preview) : /* Si on demande la previsualisation d'un commentaire */?>
		<div class="post">
		<h3 id="comments">Commentaire pour <?php dcPostTitle(); ?></h3>
		<ol class="commentlist commentpreview">
		<li>
		<?php dcCommentPreview(); ?>
		</li>
		</ol>
		<h3 id="respond">Changer le commentaire</h3>
		<?php include dirname(__FILE__).'/form.php'; ?>
		</div>
		
	<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
		<?php # Phrase affichee en cas de recherche (%s est le mot cherche)
		dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
		?>
		<?php include dirname(__FILE__).'/list.php'; ?>
		
	<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
		<?php include dirname(__FILE__).'/post.php'; ?>
	<?php endif; ?>
	</div> <!-- end #content -->

	<div id="sidebar">
		<?php if ($mode == 'post') : ?>
			<div id="postmetadata">
			<h2>Informations</h2>
			<ul>
			<li><strong>Date de publication :</strong><br />le <?php dcPostDate(); ?> &agrave; <?php dcPostTime(); ?></li>
			<li><strong>Auteur :</strong><br /><?php dcPostAuthor(); ?></li>
			<li><strong>Cat&eacute;gorie :</strong><br /><a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a></li>
			</ul>
			</div>

			<div id="postaction">
			<h2>Actions</h2>
			<ul>
			<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
				<li>Pour r&eacute;diger un commentaire sur ce billet, rendez-vous <a href="#respond">ici</a>.</li>
			<?php endif; ?>
			<li>Pour suivre le fil des commentaires de ce billet, abonnez-vous &agrave; ce <a href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
		title="fil RSS des commentaires de : <?php dcPostTitle(); ?>">fil rss</a>.</li>
			<li>Pour citer ce billet ailleurs, utilisez ce <a href="<?php dcPostURL(); ?>"
		title="Lien permanent vers : <?php dcPostTitle(); ?>">lien</a> [#<?php dcPostID(); ?>].</li>
			<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : /* Si les trackbacks sont permis */ ?>
				<li>Pour faire un r&eacute;trolien chez vous sur ce billet, utilisez ce <a href="<?php dcPostTrackBackURI(); ?>">lien</a>.</li>
			<?php endif; ?>
				<li>Vous pouvez aussi lire&nbsp;:<ul>
					<?php dcPostNext(-1,'<li><a href="%3$s" title="Billet pr&eacute;c&eacute;dent : %2$s">Le billet pr&eacute;c&eacute;dent&nbsp;: %2$s</a></li>'); ?>
					<?php dcPostNext(1,'<li><a href="%3$s" title="Billet suivant : %2$s">Le billet suivant&nbsp;: %2$s</a></li>'); ?></ul></li>
			</ul>
			</div>
		<?php endif; ?>

		<div id="calendar">
		<h2>Calendrier</h2>
		<ul><li>
		<?php #Affichage du calendrier
		dcCalendar('<table summary="Calendrier">%s</table>'); ?>
		</li></ul>
		</div>
	
		<div id="search">
		<h2><label for="q">Rechercher</label></h2>
		<ul><li>
		<form action="<?php dcInfo('search'); ?>" method="get">			
			<p class="field, search"><input name="q" id="q" type="text" size="10"
			value="<?php dcSearchString(); ?>" accesskey="4" /></p>
			<p class="field, search"><input type="submit" class="submit" value="ok" /></p>
		</form>
		</li></ul>
		</div>
	
		<?php if ($mode != 'post') : ?>
			<?php dcSelection('<div id="selection"><h2>&Agrave; retenir</h2><ul>%s</ul></div>'); ?>
		<?php endif; ?>
		
		<?php dcLangList('<div id="languages"><h2>Langues</h2><ul>%s</ul></div>'); ?>
		
		<div id="categories">
		<h2>Cat&eacute;gories</h2>
		<?php dcCatList(); ?>
		</div>

		<div id="archives">
		<h2>Archives</h2>
		<?php dcMonthsList(); ?>
		</div>
		
		<?php if ($mode != 'post') : ?>
			<div id="links">
			<h2>Liens</h2>
			<ul>
				<?php dcBlogroll::linkList('<li>%s', '<ul class=\'children\'>%s</ul></li>'); ?>
			</ul>
			</div>
		<?php endif; ?>
	
		<div id="syndicate">
		<h2>Syndication</h2>
		<ul>
			<li><a href="<?php dcInfo('rss'); ?>">fil rss</a></li>
			<li><a href="<?php dcInfo('rss'); ?>?type=co">fil rss commentaires</a></li>
			<li><a href="<?php dcInfo('atom'); ?>">fil atom</a></li>
			<li><a href="<?php dcInfo('atom'); ?>?type=co">fil atom commentaires</a></li>
		</ul>
		</div>

	</div> <!-- end #sidebar -->

	<p id="footer">Th&egrave;me Connections (<a href="http://wpthemes.info/">WPThemes.Info</a>) adapt&eacute; pour <a href="http://www.dotclear.net/">DotClear</a> par <a href="http://franck.paul.free.fr/dotclear/">Franck Paul</a></p>

</div> <!-- end #main -->
</div> <!-- end #page -->

</body>
</html>
